# Configuration file

##########################################################################################################
# blocks
#--------------------------------------------------------------------------------------------------------#
# Changing to false will disable & remove the blocks/machines
##########################################################################################################

blocks {
    # This option will disable & remove the Advanced Compressor/Decompressor
    B:"Advanced Compressor/Decompressor"=true

    # This option will disable & remove the Advanced Fuel Loader
    B:"Advanced Fuel Loader"=true

    # This option will disable & remove the Advanced Refinery
    B:"Advanced Refinery"=true

    # This option will disable & remove the Basic Block Smasher
    B:"Basic Block Smasher"=true

    # This option will disable & remove the Basic Chemical Injector
    B:"Basic Chemical Injector"=true

    # This option will disable & remove the Basic Crystallizer
    B:"Basic Crystallizer"=true

    # This option will disable & remove the Basic Decontamination Unit
    B:"Basic Decontamination Unit"=true

    # This option will disable & remove the Basic Decrystallizer
    B:"Basic Decrystallizer"=true

    # This option will disable & remove the Basic Densifier
    B:"Basic Densifier"=true

    # This option will disable & remove the Basic Purifier
    B:"Basic Purifier"=true

    # This option will disable & remove the Basic Solar Evaporation Chamber
    B:"Basic Solar Evaporation Chamber"=true

    # Setting this option to false will remove all Slabs and Stairs
    B:"Enable Slab & Stairs"=true

    # This option will disable & remove the Fire Bomb
    B:"Fire Bomb"=true

    # This option will disable & remove the Hybrid/Ultimate Solar Panels
    B:"Hybrid/Ultimate Solar Panel"=true

    # This option will disable & remove the Nuclear Bomb
    B:"Nuclear Bomb"=true

    # This option will disable & remove the Ultimate Compressor/Decompressor
    B:"Ultimate Compressor/Decompressor"=true

    # This option will disable & remove the Ultimate Fuel Loader
    B:"Ultimate Fuel Loader"=true

    # This option will disable & remove the Ultimate Refinery
    B:"Ultimate Refinery"=true

    # This option will disable & remove the Vehicle Charger
    B:"Vehicle Charger"=true
}


##########################################################################################################
# celestial body map settings
#--------------------------------------------------------------------------------------------------------#
# Advanced options for Celestial Body Map to change locations of planets and solar systems! (For Advanced Users ONLY!)
##########################################################################################################

"celestial body map settings" {
    # [range: -100 ~ 100, default: 0]
    D:"Ceres Planet Map Relative Distance From Center Offset"=0.0

    # [range: -100 ~ 100, default: 0]
    D:"Eris Planet Map Relative Distance From Center Offset"=0.0

    # [range: -100 ~ 100, default: 0]
    D:"Haumea Planet Map Relative Distance From Center Offset"=0.0

    # [range: -100 ~ 100, default: 0]
    D:"Jupiter Planet Map Relative Distance From Center Offset"=0.0

    # [range: -1000 ~ 1000, default: 0]
    D:"Kepler22 Planet Map X Offset"=0.0

    # [range: -1000 ~ 1000, default: 0]
    D:"Kepler22 Planet Map Y Offset"=0.0

    # [range: -1000 ~ 1000, default: 0]
    D:"Kepler22 Planet Map Z Offset"=0.0

    # [range: -1000 ~ 1000, default: 0]
    D:"Kepler47 Planet Map X Offset"=0.0

    # [range: -1000 ~ 1000, default: 0]
    D:"Kepler47 Planet Map Y Offset"=0.0

    # [range: -1000 ~ 1000, default: 0]
    D:"Kepler47 Planet Map Z Offset"=0.0

    # [range: -1000 ~ 1000, default: 0]
    D:"Kepler62 Planet Map X Offset"=0.0

    # [range: -1000 ~ 1000, default: 0]
    D:"Kepler62 Planet Map Y Offset"=0.0

    # [range: -1000 ~ 1000, default: 0]
    D:"Kepler62 Planet Map Z Offset"=0.0

    # [range: -1000 ~ 1000, default: 0]
    D:"Kepler69 Planet Map X Offset"=0.0

    # [range: -1000 ~ 1000, default: 0]
    D:"Kepler69 Planet Map Y Offset"=0.0

    # [range: -1000 ~ 1000, default: 0]
    D:"Kepler69 Planet Map Z Offset"=0.0

    # [range: -100 ~ 100, default: 0]
    D:"Kuiper Belt Planet Map Relative Distance From Center Offset"=0.0

    # [range: -100 ~ 100, default: 0]
    D:"Makemake Planet Map Relative Distance From Center Offset"=0.0

    # [range: -100 ~ 100, default: 0]
    D:"Mercury Planet Map Relative Distance From Center Offset"=0.0

    # [range: -100 ~ 100, default: 0]
    D:"Neptune Planet Map Relative Distance From Center Offset"=0.0

    # [range: -100 ~ 100, default: 0]
    D:"Pluto Planet Map Relative Distance From Center Offset"=0.0

    # [range: -100 ~ 100, default: 0]
    D:"Saturn Planet Map Relative Distance From Center Offset"=0.0

    # [range: -100 ~ 100, default: 0]
    D:"Uranus Planet Map Relative Distance From Center Offset"=0.0
}


##########################################################################################################
# compatibility support
#--------------------------------------------------------------------------------------------------------#
# Enable/Disable options for compatibility settings
##########################################################################################################

"compatibility support" {
    # Setting this to false will disable & remove all Ore Dictionary Support for Planet and Moon Ores!
    B:"Enable Adding of All Planet/Moons Ores to the Ore Dictionary"=true

    # Setting this to false will disable & remove all Ore Dictionary Support for All Ingots!
    B:"Enable Adding of all Ingots to the Ore Dictionary"=true

    # Setting this to false will disable & remove all Ore Dictionary Support for All needed Items excluding Ingots!
    B:"Enable Adding of all Items excluding Ingots to the Ore Dictionary"=true

    # Setting this to false will disable & remove Extreme Reactors Compatibility!
    B:"Enable Extreme Reactors Compatibility"=true

    # Setting this to false will disable Galacticraft Deconstuctor Machine Compatibility!
    B:"Enable Galacticraft Deconstuctor Machine Compatibility"=true

    # Will tweak ExtraPlanets Planets/Moons, to allow them to work along side GalaxySpace version of the same planets! Will rename ExtraPlanets versions of doubled Planets/Moons to have 2.0 on the end. Example: Jupiter 2.0
    B:"Enable Galaxy Space Compatibility"=true

    # Setting this to false will disable & remove the NEI Support for Custom Machines/Rockets/Vehicles
    B:"Enable JEI Recipe support"=true

    # Setting this to false will disable & remove MC MultiPart Compatibility!
    B:"Enable MC MultiPart Compatibility"=true

    # FOR THIS TO WORK YOU WILL NEED TO DISABLED ALL CONFIG OPTIONS IN THE MORE PLANETS CONFIG UNDER THE 'config_moreplanets_gc_addon_compat' SECTION!
    B:"Enable More Planets Compatibility"=true

    # Setting this to false will disable More Planets Rocket Crusher Machine Compatibility!
    B:"Enable More Planets Rocket Crusher Machine Compatibility"=true

    # Setting this to false will disable & remove the JEI Support for Custom Machines/Rockets/Vehicles
    B:"Enable NEI Recipe support"=true
}


##########################################################################################################
# dimension settings
#--------------------------------------------------------------------------------------------------------#
# Enable/Disable options for dimension settings
##########################################################################################################

"dimension settings" {
    # [range: 1 ~ 10, default: 3]
    I:"Clouds Speed on Jupiter"=3

    # Setting this option to false will disable & remove the Ceres Villages generation
    B:"Enable Ceres Villages"=true

    # Setting this option to false will disable & remove Fake Lighting Effects & Thunder sounds on Jupiter (CLIENT SIDE)
    B:"Enable Client Fake Lighting Effects & Thunder sounds on Jupiter"=true

    # Setting this option to false will disable & remove Clouds on Jupiter
    B:"Enable Clouds on Jupiter"=true

    # Setting this option to false will disable & remove Fog Effects on Jupiter, Uranus, Saturn, Neptune
    B:"Enable Custom Fog Effect on Jupiter, Uranus, Saturn, Neptune"=true

    # Setting this option to false will disable & remove the Eris Villages generation
    B:"Enable Eris Villages"=true

    # Setting this option to false will disable & remove the Jupiter Villages generation
    B:"Enable Jupiter Villages"=true

    # Setting this option to false will disable & remove the Mercury Villages generation
    B:"Enable Mercury Villages"=true

    # Setting this option to false will disable & remove the Neptune Villages generation
    B:"Enable Neptune Villages"=true

    # Setting this option to false will disable ore gen for Callisto
    B:"Enable Ore Gen Callisto"=true

    # Setting this option to false will disable ore gen for Ceres
    B:"Enable Ore Gen Ceres"=true

    # Setting this option to false will disable ore gen for Deimos
    B:"Enable Ore Gen Deimos"=true

    # Setting this option to false will disable ore gen for Eris
    B:"Enable Ore Gen Eris"=true

    # Setting this option to false will disable ore gen for Europa
    B:"Enable Ore Gen Europa"=true

    # Setting this option to false will disable ore gen for Ganymede
    B:"Enable Ore Gen Ganymede"=true

    # Setting this option to false will disable ore gen for Iapetus
    B:"Enable Ore Gen Iapetus"=true

    # Setting this option to false will disable ore gen for Io
    B:"Enable Ore Gen Io"=true

    # Setting this option to false will disable ore gen for Jupiter
    B:"Enable Ore Gen Jupiter"=true

    # Setting this option to false will disable ore gen for Kepler22b
    B:"Enable Ore Gen Kepler22b"=true

    # Setting this option to false will disable ore gen for Mercury
    B:"Enable Ore Gen Mercury"=true

    # Setting this option to false will disable ore gen for Neptune
    B:"Enable Ore Gen Neptune"=true

    # Setting this option to false will disable ore gen for Oberon
    B:"Enable Ore Gen Oberon"=true

    # Setting this option to false will disable ore gen for Phobos
    B:"Enable Ore Gen Phobos"=true

    # Setting this option to false will disable ore gen for Pluto
    B:"Enable Ore Gen Pluto"=true

    # Setting this option to false will disable ore gen for Rhea
    B:"Enable Ore Gen Rhea"=true

    # Setting this option to false will disable ore gen for Saturn
    B:"Enable Ore Gen Saturn"=true

    # Setting this option to false will disable ore gen for Titan
    B:"Enable Ore Gen Titan"=true

    # Setting this option to false will disable ore gen for Titania
    B:"Enable Ore Gen Titania"=true

    # Setting this option to false will disable ore gen for Triton
    B:"Enable Ore Gen Triton"=true

    # Setting this option to false will disable ore gen for Uranus
    B:"Enable Ore Gen Uranus"=true

    # Setting this option to false will disable & remove the Pluto Villages generation
    B:"Enable Pluto Villages"=true

    # Setting this option to false will disable & remove the Saturn Villages generation
    B:"Enable Saturn Villages"=true

    # Setting this option to false will disable & remove Real Lighting Bolts on Jupiter (SERVER SIDE)
    B:"Enable Server Real Lighting Bolts on Jupiter"=true

    # Setting this option to false will disable & remove the Uranus Villages generation
    B:"Enable Uranus Villages"=true

    # Setting this option to false will disable & remove Basic Hideouts from generating on Jupiter
    B:"Generate Basic Hideouts on Jupiter"=true

    # Setting this option to false will disable & remove Big Trees from generating on Kepler22b
    B:"Generate Big Trees on Kepler22b"=true

    # Setting this option to false will disable & remove Candy Canes from generating on Kepler22b
    B:"Generate Candy Canes on Kepler22b"=true

    # Setting this option to false will disable & remove Cookie Rocks from generating on Kepler22b
    B:"Generate Cookie Rocks on Kepler22b"=true

    # Setting this option to false will disable & remove Frozen Nitrogen Piles from generating on Neptune
    B:"Generate Frozen Nitrogen Piles on Neptune"=true

    # Setting this option to false will disable & remove Huts from generating on Kepler22b
    B:"Generate Huts on Kepler22b"=true

    # Setting this option to false will disable & remove the Ice Chunks on Ganymede
    B:"Generate Ice Chunks under the surface of Ganymede"=true

    # Setting this option to false will disable & remove Ice Spikes from generating on Uranus
    B:"Generate Ice Spikes on Uranus"=true

    # Setting this option to false will disable & remove Igloos from generating on Uranus
    B:"Generate Igloos on Uranus"=true

    # Setting this option to false will disable & remove the Iron Chunks on Europa
    B:"Generate Iron Chunks under the surface of Europa"=true

    # Setting this option to false will disable & remove Material Spheres from generating on Kepler22b
    B:"Generate Material Spheres on Kepler22b"=true

    # Setting this option to false will disable & remove Material Trees from generating on Kepler22b
    B:"Generate Material Trees on Kepler22b"=true

    # Setting this option to false will disable & remove the Meteors on Mercury
    B:"Generate Meteors on Mercury"=true

    # Setting this option to false will disable & remove No Leaf Big Trees from generating on Kepler22b
    B:"Generate No Leaf Big Trees on Kepler22b"=true

    # Setting this option to false will disable & remove No Leaf Small Trees from generating on Kepler22b
    B:"Generate No Leaf Small Trees on Kepler22b"=true

    # Setting this option to false will disable & remove Nuclear Piles from generating on Saturn
    B:"Generate Nuclear Piles on Saturn"=true

    # Setting this option to false will disable & remove the Satellite Towers on Ceres
    B:"Generate Satellite Towers on Ceres"=true

    # Setting this option to false will disable & remove the Sky Feature on Jupiter
    B:"Generate Sky Feature on Jupiter"=true

    # Setting this option to false will disable & remove Slime Trees from generating on Saturn
    B:"Generate Slime Trees on Saturn"=true

    # Setting this option to false will disable & remove Small Trees from generating on Kepler22b
    B:"Generate Small Trees on Kepler22b"=true

    # Setting this option to false will disable & remove Space Ship from generating on Jupiter
    B:"Generate Space Ship on Jupiter"=true

    # Setting this option to false will disable & remove Towers from generating on Kepler22b
    B:"Generate Towers on Kepler22b"=true

    # Setting this option to false will disable & remove Vanilla Style Dungeons from generating on Kepler22b
    B:"Generate Vanilla Style Dungeons on Kepler22b"=true

    # Setting this option to false will disable & remove Volcanoes from generating on Io
    B:"Generate Volcanoes on Io"=true

    # Setting this to false will make mobs not suffocate on planets but the player will!
    B:"Mob Suffocation"=true

    # Setting this option to true will disable Custom Atmospheres Sky Colours for Phobos, Deimos, Ceres, Io, Europa, Ganymede, Callisto, Rhea, Iapetus, Titania, Oberon, Triton, Ceres, Pluto, Eris!
    B:"Use Realistic Atmosphere Sky Colours for Planets/Moons"=true

    # Setting this option to true will disable & remove all custom bosses and will replace them with Creeper Bosses!
    B:"Use default bosses for all planets"=false
}


##########################################################################################################
# dimensionid
#--------------------------------------------------------------------------------------------------------#
# Change if a dimension ID is causing conflicts!
##########################################################################################################

dimensionid {
    # [range: -2147483647 ~ 2147483647, default: -1505]
    I:"Callisto Dimension ID (Moon)"=-1505

    # [range: -2147483647 ~ 2147483647, default: -20]
    I:"Ceres Dimension ID"=-20

    # [range: -2147483647 ~ 2147483647, default: -65]
    I:"Ceres SpaceStation Dimension ID"=-65

    # [range: -2147483647 ~ 2147483647, default: -64]
    I:"Ceres SpaceStation Static Dimension ID"=-64

    # [range: -2147483647 ~ 2147483647, default: -1503]
    I:"Deimos Dimension ID (Moon)"=-1503

    # [range: -2147483647 ~ 2147483647, default: -21]
    I:"Eris Dimension ID"=-21

    # [range: -2147483647 ~ 2147483647, default: -79]
    I:"Eris SpaceStation Dimension ID"=-79

    # [range: -2147483647 ~ 2147483647, default: -78]
    I:"Eris SpaceStation Static Dimension ID"=-78

    # [range: -2147483647 ~ 2147483647, default: -1501]
    I:"Europa Dimension ID (Moon)"=-1501

    # [range: -2147483647 ~ 2147483647, default: -1506]
    I:"Ganymede Dimension ID (Moon)"=-1506

    # [range: -2147483647 ~ 2147483647, default: -1511]
    I:"Iapetus Dimension ID (Moon)"=-1511

    # [range: -2147483647 ~ 2147483647, default: -1500]
    I:"Io Dimension ID (Moon)"=-1500

    # [range: -2147483647 ~ 2147483647, default: -15]
    I:"Jupiter Dimension ID"=-15

    # [range: -2147483647 ~ 2147483647, default: -69]
    I:"Jupiter SpaceStation Dimension ID"=-69

    # [range: -2147483647 ~ 2147483647, default: -68]
    I:"Jupiter SpaceStation Static Dimension ID"=-68

    # [range: -2147483647 ~ 2147483647, default: -22]
    I:"Kepler 22b Dimension ID"=-22

    # [range: -2147483647 ~ 2147483647, default: -81]
    I:"Kepler 22b SpaceStation Dimension ID"=-81

    # [range: -2147483647 ~ 2147483647, default: -80]
    I:"Kepler 22b SpaceStation Static Dimension ID"=-80

    # [range: -2147483647 ~ 2147483647, default: -67]
    I:"Mars SpaceStation Dimension ID"=-67

    # [range: -2147483647 ~ 2147483647, default: -66]
    I:"Mars SpaceStation Static Dimension ID"=-66

    # [range: -2147483647 ~ 2147483647, default: -13]
    I:"Mercury Dimension ID"=-13

    # [range: -2147483647 ~ 2147483647, default: -61]
    I:"Mercury SpaceStation Dimension ID"=-61

    # [range: -2147483647 ~ 2147483647, default: -60]
    I:"Mercury SpaceStation Static Dimension ID"=-60

    # [range: -2147483647 ~ 2147483647, default: -18]
    I:"Neptune Dimension ID"=-18

    # [range: -2147483647 ~ 2147483647, default: -75]
    I:"Neptune SpaceStation Dimension ID"=-75

    # [range: -2147483647 ~ 2147483647, default: -74]
    I:"Neptune SpaceStation Static Dimension ID"=-74

    # [range: -2147483647 ~ 2147483647, default: -1509]
    I:"Oberon Dimension ID (Moon)"=-1509

    # [range: -2147483647 ~ 2147483647, default: -1502]
    I:"Phobos Dimension ID (Moon)"=-1502

    # [range: -2147483647 ~ 2147483647, default: -19]
    I:"Pluto Dimension ID"=-19

    # [range: -2147483647 ~ 2147483647, default: -77]
    I:"Pluto SpaceStation Dimension ID"=-77

    # [range: -2147483647 ~ 2147483647, default: -76]
    I:"Pluto SpaceStation Static Dimension ID"=-76

    # [range: -2147483647 ~ 2147483647, default: -1507]
    I:"Rhea Dimension ID (Moon)"=-1507

    # [range: -2147483647 ~ 2147483647, default: -16]
    I:"Saturn Dimension ID"=-16

    # [range: -2147483647 ~ 2147483647, default: -71]
    I:"Saturn SpaceStation Dimension ID"=-71

    # [range: -2147483647 ~ 2147483647, default: -70]
    I:"Saturn SpaceStation Static Dimension ID"=-70

    # [range: -2147483647 ~ 2147483647, default: -1508]
    I:"Titan Dimension ID (Moon)"=-1508

    # [range: -2147483647 ~ 2147483647, default: -1510]
    I:"Titania Dimension ID (Moon)"=-1510

    # [range: -2147483647 ~ 2147483647, default: -1504]
    I:"Triton Dimension ID (Moon)"=-1504

    # [range: -2147483647 ~ 2147483647, default: -17]
    I:"Uranus Dimension ID"=-17

    # [range: -2147483647 ~ 2147483647, default: -73]
    I:"Uranus SpaceStation Dimension ID"=-73

    # [range: -2147483647 ~ 2147483647, default: -72]
    I:"Uranus SpaceStation Static Dimension ID"=-72

    # [range: -2147483647 ~ 2147483647, default: -63]
    I:"Venus SpaceStation Dimension ID"=-63

    # [range: -2147483647 ~ 2147483647, default: -62]
    I:"Venus SpaceStation Static Dimension ID"=-62
}


##########################################################################################################
# general settings
#--------------------------------------------------------------------------------------------------------#
# Enable/Disable options for general settings
##########################################################################################################

"general settings" {
    # This option is used for changing the Lead Ore Spawn Rate [range: 0 ~ 2147483647, default: 5]
    I:"Amount of Lead Ore Generation per chunk"=5

    # Setting this option to false will disable & remove Achievements for ExtraPlanets
    B:"Enable Achievements"=true

    # Setting this option to false will enable debug messages in to the console
    B:"Enable Debug Mode (For testing purposes and debugging bugs)"=false

    # This option will change all the Tier 9 & 10 Rockets models to the old type
    B:"Enable Old Models for Tier 9 & 10 Rockets"=false

    # This option will change all the gravity of Planets & Moons back to the old style of gravity
    B:"Enable Old Style Gravity"=false

    # Setting this option to false will completely remove Lead Ore/Ingot from the world
    B:"Enable generation of Lead Ore in the Overworld"=false

    # Setting this option to false, will disable biome types being assigned to ExtraPlanets biomes
    B:"Enable registering of Biomes Types for ExtraPlanets biomes"=true

    # Setting this option to false will disable & remove the Custom Galaxies on Celestial Selection Screen (Note: Will get disabled by the 'Use Custom Galaxy Map/Celestial Selection Screen' option)
    B:"Enable showing of Custom Galaxies on the Custom Celestial Selection Screen"=true

    # Setting this option to false, will change disabled extended info panel on Custom Celestial Selection Screen
    B:"Show Extended info panel on Custom Galaxy Map/Celestial Selection Screen"=true

    # Setting this option to false, will change it back to be using the Galacticraft Galaxy Map/Celestial Selection Screen
    B:"Use Custom Galaxy Map/Celestial Selection Screen"=true
}


##########################################################################################################
# items
#--------------------------------------------------------------------------------------------------------#
# Changing to false will disable & remove the tool & armor or items (Note: Tools & Armors will be auto disbled when disabling a planet, so you dont need to disable them when disabling a planets)
##########################################################################################################

items {
    # This option will disable & remove all Blue Gem Tools & Armour
    B:"Blue Gem Tools & Armor"=true

    # This option will disable & remove all Carbon Tools & Armour
    B:"Carbon Tools & Armor"=true

    # This option will disable & remove all Crystal Tools & Armour
    B:"Crystal Tools & Armor"=true

    # This option will disable & remove all Custom Batteries!
    B:"Custom Batteries"=true

    # This option will disable & remove all Custom Canned Food!
    B:"Custom Canned Food"=true

    # This option will disable & remove all Custom Normal/Notch Apples!
    B:"Custom Iron & Diamond Normal/Notch Apples"=true

    # This option will disable & remove Extremely Heavy & Very Heavy Oxygen Tanks
    B:"Custom Oxygen Tanks"=true

    # Setting this option to false will remove the Electric Rocket Entity & Schematic
    B:"Enable Electric Rocket"=true

    # Setting this option to false will remove the Mars Rover Entity & Schematic & Parts needed to Craft it
    B:"Enable Mars Rover & Its Parts"=true

    # Setting this option to false will remove the Venus Rover Entity & Schematic & Parts needed to Craft it
    B:"Enable Venus Rover & Its Parts"=true

    # This option will disable & remove all Kepler22b Tools & Armour
    B:"Kepler22b Tools & Armor"=true

    # This option will disable & remove all Magnesium Tools & Armour
    B:"Magnesium Tools & Armor"=true

    # This option will disable & remove all Mercury Tools & Armour
    B:"Mercury Tools & Armor"=true

    # This option will disable & remove all Palladium Tools & Armour
    B:"Palladium Tools & Armor"=true

    # This option will disable & remove all Red Gem Tools & Armour
    B:"Red Gem Tools & Armor"=true

    # This option will change planet thermal levels to support this feature!
    B:"Tier 3 - 4 Thermal Padding"=true

    # This option will disable & remove all Tungsten Tools & Armour
    B:"Tungsten Tools & Armor"=true

    # This option will disable & remove all Uranium Tools & Armour
    B:"Uranium Tools & Armor"=true

    # This option will disable & remove all White Gem Tools & Armour
    B:"White Gem Tools & Armor"=true

    # This option will disable & remove all Zinc Tools & Armour
    B:"Zinc Tools & Armor"=true
}


##########################################################################################################
# legacy dimensionid
#--------------------------------------------------------------------------------------------------------#
# Used for legacy save transftering (DONT TOUCH!)
##########################################################################################################

"legacy dimensionid" {
    # Used for internal mirgration of old Dimension Save folders to new ids
    I:"Callisto Dimension ID Legacy (DONT TOUCH)"=-37

    # Used for internal mirgration of old Dimension Save folders to new ids
    I:"Deimos Dimension ID Legacy (DONT TOUCH)"=-35

    # Used for internal mirgration of old Dimension Save folders to new ids
    I:"Europa Dimension ID Legacy (DONT TOUCH)"=-34

    # Used for internal mirgration of old Dimension Save folders to new ids
    I:"Ganymede Dimension ID Legacy (DONT TOUCH)"=-38

    # Used for internal mirgration of old Dimension Save folders to new ids
    I:"Iapetus Dimension ID Legacy (DONT TOUCH)"=-43

    # Used for internal mirgration of old Dimension Save folders to new ids
    I:"Io Dimension ID Legacy (DONT TOUCH)"=-32

    # Used for internal mirgration of old Dimension Save folders to new ids
    I:"Oberon Dimension ID Legacy (DONT TOUCH)"=-41

    # Used for internal mirgration of old Dimension Save folders to new ids
    I:"Phobos Dimension ID Legacy (DONT TOUCH)"=-33

    # Used for internal mirgration of old Dimension Save folders to new ids
    I:"Rhea Dimension ID Legacy (DONT TOUCH)"=-39

    # Used for internal mirgration of old Dimension Save folders to new ids
    I:"Titan Dimension ID Legacy (DONT TOUCH)"=-40

    # Used for internal mirgration of old Dimension Save folders to new ids
    I:"Titania Dimension ID Legacy (DONT TOUCH)"=-42

    # Used for internal mirgration of old Dimension Save folders to new ids
    I:"Triton Dimension ID Legacy (DONT TOUCH)"=-36
}


##########################################################################################################
# main dimensions
#--------------------------------------------------------------------------------------------------------#
# For Advanced Users Only due to this will break a lot of recipes, and leave gameplay unreachable gaps for other content! Setting this option to false will remove the planet with all the related items/block/space stations!
##########################################################################################################

"main dimensions" {
    # Setting this option to true will move Legacy Dimensions with old ID's to new ID! Use if moon dimensions are stil using above Legacy (DONT TOUCH) ID's
    B:"Enable Legacy Dimension ID Migration"=false

    # Setting this option to false will remove the Eris & Tier 10 Rocket with all the related items/block/tools/armour/space stations!
    B:"Eris & Tier 10 Rocket"=true

    # Setting this option to false will remove the Jupiter & Tier 5 Rocket with all the related items/block/tools/armour/space stations!
    B:"Jupiter & Tier 5 Rocket"=true

    # Setting this option to false will remove the Mercury & Tier 4 Rocket with all the related items/block/tools/armour/space stations!
    B:"Mercury & Tier 4 Rocket"=true

    # Setting this option to false will remove the Neptune & Tier 8 Rocket with all the related items/block/tools/armour/space stations!
    B:"Neptune & Tier 8 Rocket"=true

    # Setting this option to false will remove the Pluto & Tier 9 Rocket with all the related items/block/tools/armour/space stations!
    B:"Pluto & Tier 9 Rocket"=true

    # Setting this option to false will remove the Saturn & Tier 6 Rocket with all the related items/block/tools/armour!/space stations
    B:"Saturn & Tier 6 Rocket"=true

    # Setting this option to false will remove the Uranus & Tier 7 Rocket with all the related items/block/tools/armour/space stations!
    B:"Uranus & Tier 7 Rocket"=true
}


##########################################################################################################
# other dimensions
#--------------------------------------------------------------------------------------------------------#
# For Advanced Users Only due to this will break a lot of recipes, and leave gameplay unreachable gaps for other content! Setting this option to false will remove the planet/moon with all the related items/block/space stations!
##########################################################################################################

"other dimensions" {
    # Setting this option to false will remove Callisto & all the related items/block/tools/armour/space stations!
    B:Callisto=true

    # Setting this option to false will remove Ceres & all the related items/block/tools/armour/space stations!
    B:Ceres=true

    # Setting this option to false will remove Deimos & all the related items/block/tools/armour/space stations!
    B:Deimos=true

    # Setting this option to false will remove Europa & all the related items/block/tools/armour/space stations!
    B:Europa=true

    # Setting this option to false will remove Ganymede & all the related items/block/tools/armour/space stations!
    B:Ganymede=true

    # Setting this option to false will remove Haumea
    B:Haumea=true

    # Setting this option to false will remove IO & all the related items/block/tools/armour/space stations!
    B:IO=true

    # Setting this option to false will remove Iapetus & all the related items/block/tools/armour/space stations!
    B:Iapetus=true

    # Setting this option to false will remove Kepler 22b & all the related items/block/tools/armour/space stations!
    B:"Kepler 22b"=true

    # Setting this option to false will remove all Kepler Solar Systems and their Planets/Moons!
    B:"Kepler SolarSystems"=true

    # Setting this option to false will remove Kuiper Belt
    B:"Kuiper Belt"=true

    # Setting this option to false will remove Makemake
    B:Makemake=true

    # Setting this option to false will remove Oberon & all the related items/block/tools/armour/space stations!
    B:Oberon=true

    # Setting this option to false will remove Phobos & all the related items/block/tools/armour/space stations!
    B:Phobos=true

    # Setting this option to false will remove Rhea & all the related items/block/tools/armour/space stations!
    B:Rhea=true

    # Setting this option to false will remove Titan & all the related items/block/tools/armour/space stations!
    B:Titan=true

    # Setting this option to false will remove Titania & all the related items/block/tools/armour/space stations!
    B:Titania=true

    # Setting this option to false will remove Triton & all the related items/block/tools/armour/space stations!
    B:Triton=true

    # Setting this option to false will remove all unreachable moons added by ExtraPlanets, from showing on the Celestial Selection Screen!
    B:"Unreachable moons on the Celestial Selection Screen"=true
}


##########################################################################################################
# pressure & radiation settings
#--------------------------------------------------------------------------------------------------------#
# Enable/Disable options for pressure & radiation settings
##########################################################################################################

"pressure & radiation settings" {
    # [0 = Disabled. range: 0 ~ 100, default: 6]
    I:"Amount of Radiation on Asteroids (in %)"=6

    # [0 = Disabled. : 0 ~ 100, default: 45]
    I:"Amount of Radiation on Callisto (in %)"=45

    # [0 = Disabled. range: 0 ~ 100, default: 50]
    I:"Amount of Radiation on Ceres (in %)"=50

    # [0 = Disabled. : 0 ~ 100, default: 5]
    I:"Amount of Radiation on Deimos (in %)"=5

    # [0 = Disabled. : 0 ~ 100, default: 50]
    I:"Amount of Radiation on Eris (in %)"=50

    # [0 = Disabled. : 0 ~ 100, default: 45]
    I:"Amount of Radiation on Europa (in %)"=45

    # [0 = Disabled. : 0 ~ 100, default: 45]
    I:"Amount of Radiation on Ganymede (in %)"=45

    # [0 = Disabled. : 0 ~ 100, default: 30]
    I:"Amount of Radiation on Iapetus (in %)"=30

    # [0 = Disabled. : 0 ~ 100, default: 45]
    I:"Amount of Radiation on Io (in %)"=45

    # [0 = Disabled. : 0 ~ 100, default: 45]
    I:"Amount of Radiation on Jupiter (in %)"=45

    # [0 = Disabled. range: 0 ~ 100, default: 5]
    I:"Amount of Radiation on Mars (in %)"=5

    # [0 = Disabled. range: 0 ~ 100, default: 25]
    I:"Amount of Radiation on Mercury (in %)"=25

    # [0 = Disabled. : 0 ~ 100, default: 3]
    I:"Amount of Radiation on Moon (in %)"=3

    # [0 = Disabled. : 0 ~ 100, default: 42]
    I:"Amount of Radiation on Neptune (in %)"=42

    # [0 = Disabled. : 0 ~ 100, default: 35]
    I:"Amount of Radiation on Oberon (in %)"=35

    # [0 = Disabled. : 0 ~ 100, default: 5]
    I:"Amount of Radiation on Phobos (in %)"=5

    # [0 = Disabled. : 0 ~ 100, default: 30]
    I:"Amount of Radiation on Pluto (in %)"=30

    # [0 = Disabled. : 0 ~ 100, default: 30]
    I:"Amount of Radiation on Rhea (in %)"=30

    # [0 = Disabled. : 0 ~ 100, default: 30]
    I:"Amount of Radiation on Saturn (in %)"=30

    # [0 = Disabled. range: 0 ~ 100, default: 4]
    I:"Amount of Radiation on Space Stations (in %)"=4

    # [0 = Disabled. : 0 ~ 100, default: 30]
    I:"Amount of Radiation on Titan (in %)"=30

    # [0 = Disabled. : 0 ~ 100, default: 35]
    I:"Amount of Radiation on Titania (in %)"=35

    # [0 = Disabled. : 0 ~ 100, default: 42]
    I:"Amount of Radiation on Trition (in %)"=42

    # [0 = Disabled. : 0 ~ 100, default: 35]
    I:"Amount of Radiation on Uranus (in %)"=35

    # [0 = Disabled. range: 0 ~ 100, default: 5]
    I:"Amount of Radiation on Venus (in %)"=5

    # [range: -2147483647 ~ 2147483647, default: 50]
    I:"Amount of Radiation reduced by Anti Rad Drinks"=50

    # [range: -2147483647 ~ 2147483647, default: 10]
    I:"Amount of Radiation reduced by Decontamination Unit"=10

    # [range: -2147483647 ~ 2147483647, default: 5]
    I:"Amount of Radiation reduced by Sleeping"=5

    # [range: -2147483647 ~ 2147483647, default: 0.025]
    D:"Amount of Radiation to be worn off naturally over time"=0.025

    # Setting this option to false will disable & remove the Pressure System
    B:"Enable Pressure"=true

    # Setting this option to false will disable & remove the Pressure System for Galacticraft Planets & Moons
    B:"Enable Pressure for Galacticraft Planets & Moons"=true

    # Setting this option to false will disable & remove the Radiation System
    B:"Enable Radiation"=true

    # Setting this option to false will disable & remove the Radiation System for Galacticraft Planets & Moons
    B:"Enable Radiation for Galacticraft Planets & Moons"=true

    # Will hide the Pressure & Radiation HUD Bars for Planets & Moons & Space Stations that have disabled Pressure and Radiation or a value of 0
    B:"Hide Pressure & Radiation HUD Bars when not needed"=true

    # Format: 'modID:item:tier' (tier = Space Suit Tier) | example: minecraft:iron_chestplate:4
    S:"List of armour items to be considered as a space suit" <
        ic2:nano_boots:2
        ic2:nano_chestplate:2
        ic2:nano_helmet:2
        ic2:nano_leggings:2
        ic2:quantum_boots:3
        ic2:quantum_chestplate:3
        ic2:quantum_helmet:3
        ic2:quantum_leggings:3
        galaxyspace:space_suit_head:1
        galaxyspace:space_suit_chest:1
        galaxyspace:space_suit_legs:1
        galaxyspace:space_suit_feet:1
     >

    # Format: 'bodyName:radiationValue' (radiationValue = 0 = Disabled. range: 0 ~ 100, default: 5) | example: planet.atheon:12
    S:"Other Addon Planets/Moons Radiation Values" <
        planet.altum:5
        planet.atheon:5
        planet.caligro:5
        planet.candora:5
        planet.centotl:5
        planet.ceres:5
        planet.chalos:5
        planet.diona:5
        planet.eden:5
        planet.exodus:5
        planet.haumea:5
        planet.kriffus:5
        planet.kronos:5
        planet.kuiperbelt:5
        planet.mars:5
        planet.maveth:5
        planet.mercury:5
        planet.metztli:5
        planet.nibiru:5
        planet.oasis:5
        planet.perdita:5
        planet.pluto:5
        planet.proxima_b:5
        planet.purgot:5
        planet.space_nether:5
        planet.tauceti_f:5
        planet.tlaloc:5
        planet.toci:5
        planet.vortex:5
        planet.xantheon:5
        planet.xathius:5
        planet.zollus:5
        moon.astros:5
        moon.callisto:5
        moon.enceladus:5
        moon.europa:5
        moon.ganymede:5
        moon.io:5
        moon.koentus:5
        moon.miranda:5
        moon.phobos:5
        moon.titan:5
        moon.triton:5
     >
}


##########################################################################################################
# schematics gui id
#--------------------------------------------------------------------------------------------------------#
# Change if a Schematic GUI ID is causing conflicts!
##########################################################################################################

"schematics gui id" {
    # [range: -2147483647 ~ 2147483647, default: 5562]
    I:"Schematic Mars Rover GUI ID"=5562

    # [range: -2147483647 ~ 2147483647, default: 6673]
    I:"Schematic Mars Rover Page ID"=6673

    # [range: -2147483647 ~ 2147483647, default: 5564]
    I:"Schematic Tier 10 Electric Rocket GUI ID"=5564

    # [range: -2147483647 ~ 2147483647, default: 5561]
    I:"Schematic Tier 10 GUI ID"=5561

    # [range: -2147483647 ~ 2147483647, default: 5555]
    I:"Schematic Tier 4 GUI ID"=5555

    # [range: -2147483647 ~ 2147483647, default: 5556]
    I:"Schematic Tier 5 GUI ID"=5556

    # [range: -2147483647 ~ 2147483647, default: 5557]
    I:"Schematic Tier 6 GUI ID"=5557

    # [range: -2147483647 ~ 2147483647, default: 5558]
    I:"Schematic Tier 7 GUI ID"=5558

    # [range: -2147483647 ~ 2147483647, default: 5559]
    I:"Schematic Tier 8 GUI ID"=5559

    # [range: -2147483647 ~ 2147483647, default: 5560]
    I:"Schematic Tier 9 GUI ID"=5560

    # [range: -2147483647 ~ 2147483647, default: 5563]
    I:"Schematic Venus Rover GUI ID"=5563

    # [range: -2147483647 ~ 2147483647, default: 6674]
    I:"Schematic Venus Rover Page ID"=6674
}


##########################################################################################################
# schematics page id
#--------------------------------------------------------------------------------------------------------#
# Change if a Schematic Page ID is causing conflicts!
##########################################################################################################

"schematics page id" {
    # [range: -2147483647 ~ 2147483647, default: 6675]
    I:"Schematic Tier 10  Electric Rocket Page ID"=6675

    # [range: -2147483647 ~ 2147483647, default: 6672]
    I:"Schematic Tier 10 Page ID"=6672

    # [range: -2147483647 ~ 2147483647, default: 6666]
    I:"Schematic Tier 4 Page ID"=6666

    # [range: -2147483647 ~ 2147483647, default: 6667]
    I:"Schematic Tier 5 Page ID"=6667

    # [range: -2147483647 ~ 2147483647, default: 6668]
    I:"Schematic Tier 6 Page ID"=6668

    # [range: -2147483647 ~ 2147483647, default: 6669]
    I:"Schematic Tier 7 Page ID"=6669

    # [range: -2147483647 ~ 2147483647, default: 6670]
    I:"Schematic Tier 8 Page ID"=6670

    # [range: -2147483647 ~ 2147483647, default: 6671]
    I:"Schematic Tier 9 Page ID"=6671
}


##########################################################################################################
# space stations
#--------------------------------------------------------------------------------------------------------#
# Setting this option to false will remove the space station from the planet (Note: Will be auto disbled when disabling a planet, so you dont need to disable them when disabling a planets)
##########################################################################################################

"space stations" {
    # Setting this option to false will disable & remove the Ceres Space Station
    B:"Ceres SpaceStation"=true

    # Setting this option to false will disable & remove the Eris Space Station
    B:"Eris SpaceStation"=true

    # Setting this option to false will disable & remove the Jupiter Space Station
    B:"Jupiter SpaceStation"=true

    # Setting this option to false will disable & remove the Kepler22b Space Station
    B:"Kepler22b SpaceStation"=true

    # Setting this option to false will disable & remove the Mars Space Station
    B:"Mars SpaceStation"=true

    # Setting this option to false will disable & remove the Mercury Space Station
    B:"Mercury SpaceStation"=true

    # Setting this option to false will disable & remove the Neptune Space Station
    B:"Neptune SpaceStation"=true

    # Setting this option to false will disable & remove the Pluto Space Station
    B:"Pluto SpaceStation"=true

    # Setting this option to false will disable & remove the Saturn Space Station
    B:"Saturn SpaceStation"=true

    # Setting this option to false will disable & remove the Uranus Space Station
    B:"Uranus SpaceStation"=true

    # Setting this option to false will disable & remove the Venus Space Station
    B:"Venus SpaceStation"=true
}


